Relesys API Docs

v1.3

https://api.relesysapp.net/api/v1.3

Fillings

List
GET /serviceformModules/{moduleId}/forms/{formId}/fillings
https://api.relesysapp.net/api/v1.3/serviceformModules/{moduleId}/forms/{formId}/fillings
Get a list of fillings for the form with ID formId.

The fillings contain information about which department it was created for, as well the general score for the filling.

fillingScore - This field displays the sum of all points given for the filling. The fillingScore will be null if no related field contains a data list of type "Scored".

performancePercent - This field displays the performance percentage (0-100%) between the given filling score and the highest possible filling score. If the filling score would be 95 out of a possible 100 the performancePercent would display 95.0.

Default sort is by number in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
fillingScore integer Filterable Sortable optional
id string / guid Filterable optional
isDraft boolean Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentFillingId string / guid Filterable optional
performancePercent double Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"63223843-6a9c-40e6-b4b9-3cc61655ea90","url":null,"parentFillingId":"64b1a785-6141-4ef9-855c-252e701c86c2","parentFillingUrl":null,"departmentId":"6524dc8f-3c2e-4431-ac73-2a43cedda3b6","departmentUrl":null,"number":1,"isDraft":false,"creationDateTime":"2025-12-01T20:57:22.8018537+00:00","lastModifiedDateTime":"2025-12-06T20:57:22.8018537+00:00","fillingScore":5,"performancePercent":85.62},{"id":"f208f7f4-ca3b-47b7-a429-cbeee33efb94","url":null,"parentFillingId":null,"parentFillingUrl":null,"departmentId":"87a7ff57-0137-439f-af67-1c1a33c22a82","departmentUrl":null,"number":2,"isDraft":false,"creationDateTime":"2025-12-01T20:57:22.8018537+00:00","lastModifiedDateTime":null,"fillingScore":null,"performancePercent":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   departmentUrl string      
   fillingScore integer      
   id string / guid      
   isDraft boolean      
   lastModifiedDateTime datetimeoffset      
   number integer      
   parentFillingId string / guid      
   parentFillingUrl string      
   performancePercent double      
   url string      
  nextUrl string      
  previousUrl string